%define		_status		stable
%define		_pearname	HTML_TagCloud
%include	/usr/lib/rpm/macros.php
Summary:	%{_pearname} - generate a "tag cloud" in HTML
Summary(pl.UTF-8):	%{_pearname} - generowanie "chmury tagów" w HTML
Name:		php-pear-%{_pearname}
Version:	1.0.0
Release:	2
License:	PHP License
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	38285f0c18a8b53995c38428778f3548
URL:		http://pear.php.net/package/HTML_TagCloud/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php(date)
Requires:	php-pear
Suggests:	php-pear-Image_Color
Obsoletes:	php-pear-HTML_TagCloud-tests
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# exclude optional dependencies
%define		_noautoreq	pear(Image/Color.*)

%description
HTML_TagCloud enables you to generate a "tag cloud" in HTML.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
HTML_TagCloud pozwala na generowanie chmury tagów w HTML.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log docs/HTML_TagCloud/docs/examples
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/HTML/TagCloud.php
%changelog
* Wed May 14 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pear-HTML_TagCloud.git;a=log;h=master

* Wed May 14 2014 Elan Ruusamäe <glen@delfi.ee> 1a15a8f
- use virtual php deps
- release 2 (by relup.sh)

* Mon Apr 25 2011 Elan Ruusamäe <glen@pld-linux.org> ebc19e6
- updated to: 1.0.0

* Tue Mar 01 2011 Elan Ruusamäe <glen@pld-linux.org> 1f00274
- release 3

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> 763f642
- dropped -tests subpackage

* Sun Aug 22 2010 Elan Ruusamäe <glen@pld-linux.org> a642d66
- ensure rpmbuild macros present

* Sat Aug 21 2010 Elan Ruusamäe <glen@pld-linux.org> 30e5ce4
- updated deps with pearize.sh
- release 2

* Fri Aug 20 2010 Elan Ruusamäe <glen@pld-linux.org> 2ea76d0
- updated to: 0.2.4

* Fri Dec 26 2008 Adam Gołębiowski <adamg@pld-linux.org> da43c4a
- updated to 0.2.3

* Sat May 24 2008 Adam Gołębiowski <adamg@pld-linux.org> aa662ea
- release 2 (updated PEAR deps)

* Fri May 23 2008 Adam Gołębiowski <adamg@pld-linux.org> d4784ff
- PEAR/PEAR-core packages are not directly required

* Fri May 02 2008 Adam Gołębiowski <adamg@pld-linux.org> 3a1a2f6
- updated to 0.2.2; tests subpkg

* Thu Jan 31 2008 Elan Ruusamäe <glen@pld-linux.org> b7bb37e
- rel 2

* Mon Nov 26 2007 Adam Gołębiowski <adamg@pld-linux.org> b1a95b3
- new

